jQuery(document).ready(function($) {

    function setCookie(cname, cvalue, exdays) {
        const d = new Date();
        d.setTime(d.getTime() + (exdays*24*60*60*1000));
        let expires = "expires="+ d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    function getCookie(cname) {
        let name = cname + "=";
        let decodedCookie = decodeURIComponent(document.cookie);
        let ca = decodedCookie.split(';');
        for(let i = 0; i <ca.length; i++) {
          let c = ca[i];
          while (c.charAt(0) == ' ') {
            c = c.substring(1);
          }
          if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
          }
        }
        return "";
    }

    if (window.nitro) {
        setTimeout(function() {
            var ids = {
                'id': nitro.NITRO_ID, 
                'biscuit': nitro.ROAMING_ID
            };
            $cookieExists = getCookie('parleg');
            if ($cookieExists == '' || $cookieExists == '{}' || $cookieExists == {}) {
                setCookie('parleg', JSON.stringify(ids), 365);
            }
        }, 1000);
    }

    $('button.add_to_cart_button').on('click', function(event) {
        event.preventDefault();
        var productId = $(this).data('product_id');

        setTimeout(() => {
            $.ajax({
                url: customAddToCart.ajax_url,
                type: 'POST',
                data: {
                    action: 'add_to_cart_action',
                    product_id: productId
                },
                success: function(response) {
                    if (response.success) {
                        var cartData = response.data;
                        if (window.nitro) {
                            nitro.track('updatecart', cartData);
                        }
                    } else {
                        console.log('Error:', response.data);
                    }
                },
                error: function() {
                    console.log('AJAX request failed.');
                }
            });
        }, 1500);
    });
});
